Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #346

SDL error: Failed to open audio stream: XAudio2: XAudio2Create() failed at open..
September 19, 2013 22:13 - Benj Marchand

Status: Closed Start date: September 19, 2013
Priority: Minor Due date:

Assignee: % Done: 100%

Category: plugins/sdlout Estimated time: 0.00 hour

Target version: 3.4.2

Affects version: 3.4.1

Description

Hi,

On windows 8 x64(with full updates), during the opening, this error message is displayed "SDL error: Failed to open audio stream:
XAudio2: XAudio2Create() failed at open.."

In File > Preferences..., | can switch the ouput settings to "FileWriter Plugin" and this message is not anymore displayed.
But in both cases, the songs are played in 2 or 3 seconds. The audio volume is automatically switch off. No sound at all.

| tried the workaround from the forum "set SDL_AUDIODRIVER=DirectSound" (
http://redmine.audacious-media-player.org/boards/1/topics/887), no issue at the opening but still at the playing.

Do you have any idea about this issue?

Thank you.

Windows 8 x64 (with full updates)
Audacious 3.4.1 (not tested other)
Run from "C:\Program Files (x86)\Audacious\bin"

History

#1 - September 19, 2013 23:21 - John Lindgren

- Category changed from audtool to plugins/sdlout

| have no idea why this happens, and | can't reproduce it, but it seems that XAudio2 (or SDL's usage of it) is unreliable. So for the next Windows build
| will probably rebuild SDL to use only DirectSound.

http:/distfiles.audacious-media-player.org/audacious-3.4-win32.zip uses an older version of SDL. See if it works for you.

#2 - September 20, 2013 06:40 - Waikiki Tejada

I'm having the same problems (namely, the SDL error when | try to play any audio file). My specs are the same as Benj's

e Windows 8 x64
e Audacious 3.4.1

The workaround posted at the forum works for me (| set the "SDL_AUDIODRIVER" environment variable to "DirectSound" in PowerShell, then run
Audacious from within PowerShell).

John Lindgren wrote:

http://distfiles.audacious-media-player.org/audacious-3.4-win32.zip uses an older version of SDL. See if it works for you.
This version works fine.

#3 - September 20, 2013 12:19 - Benj Marchand

Thank you for your prompt answers.

Version 3.4 works fine for me.

If you need debug/verbose log, don't hesitate to drop me instructions if that can help for the next release.

Thanks again.

#4 - September 27, 2013 03:08 - John Lindgren
- File SDL2.dIl added

Please see whether 3.4.1 works with this alternate version of bin/SDL2.dll.

#5 - September 28, 2013 16:15 - Carlo Bramini

Please see whether 3.4.1 works with this alternate version of bin/SDL2.dll.

This SDL2.DLL works fine, at least on my PC at home.

#6 - September 30, 2013 23:28 - Benj Marchand
Hi John,

As for Carlo, your new file fixes this issue (the "SDL_AUDIODRIVER" variable is NOT set).

Thank you a lot!

#7 - October 06, 2013 08:30 - Waikiki Tejada

The alternate version of SDL2.dIl works on my side too.

#8 - October 29, 2013 15:28 - Ted Kritzler

| was having the stream open issue as well, after having the program work fine for a couple of weeks after install. Replacing SDL2.dll fixed the issue.

#9 - November 01, 2013 15:34 - John Lindgren
- Status changed from New to Closed
- Target version set to 3.4.2

- % Done changed from 0 to 100
3.4.2 will include the fixed version of SDL2.dll.

Files

SDL2.dll 854 KBSeptember 27, 2013 John Lindgren
